# UpdateQuery Class Reference
[Dynamic query builder]

Inheritance diagram for UpdateQuery:
[legend]

List of all members.

## Public Member Functions

| __construct ($table=null)
| __clone ()
| from ($table, $alias=null)
| hasJoinedTable ($table)
| join ($table, LogicalObject $logic, $alias=null)
| leftJoin ($table, LogicalObject $logic, $alias=null)
| rightJoin ($table, LogicalObject $logic, $alias=null)
| setTable ($table)
| toDialectString (Dialect $dialect)

## Private Attributes

| $joiner = null

## Detailed Description

Definition at line 15 of file UpdateQuery.class.php.

## Constructor & Destructor Documentation

UpdateQuery::__construct | ( | $ | table = `null` | ) |

Definition at line 21 of file UpdateQuery.class.php.

References InsertOrUpdateQuery::$table.

## Member Function Documentation

UpdateQuery::__clone | ( |  | ) |

Definition at line 27 of file UpdateQuery.class.php.

UpdateQuery::from | ( | $ | table,
|  | $ | alias = `null` |
| ) |  |  |

Returns:
  UpdateQuery

Implements JoinCapableQuery.

Definition at line 35 of file UpdateQuery.class.php.

References InsertOrUpdateQuery::$table.

UpdateQuery::hasJoinedTable | ( | $ | table | ) |

Implements JoinCapableQuery.

Definition at line 42 of file UpdateQuery.class.php.

References InsertOrUpdateQuery::$table.

UpdateQuery::join | ( | $ | table,
|  | LogicalObject $ | logic,
|  | $ | alias = `null` |
| ) |  |  |

Returns:
  UpdateQuery

Implements JoinCapableQuery.

Definition at line 50 of file UpdateQuery.class.php.

References InsertOrUpdateQuery::$table.

UpdateQuery::leftJoin | ( | $ | table,
|  | LogicalObject $ | logic,
|  | $ | alias = `null` |
| ) |  |  |

Returns:
  UpdateQuery

Implements JoinCapableQuery.

Definition at line 59 of file UpdateQuery.class.php.

References InsertOrUpdateQuery::$table.

UpdateQuery::rightJoin | ( | $ | table,
|  | LogicalObject $ | logic,
|  | $ | alias = `null` |
| ) |  |  |

Returns:
  UpdateQuery

Implements JoinCapableQuery.

Definition at line 68 of file UpdateQuery.class.php.

References InsertOrUpdateQuery::$table.

UpdateQuery::setTable | ( | $ | table | ) |

Returns:
  UpdateQuery

Definition at line 77 of file UpdateQuery.class.php.

References InsertOrUpdateQuery::$table.

UpdateQuery::toDialectString | ( | Dialect $ | dialect | ) |

Definition at line 84 of file UpdateQuery.class.php.

References Dialect::quoteField().

Here is the call graph for this function:

## Member Data Documentation

UpdateQuery::$joiner = null`[private]`

Definition at line 19 of file UpdateQuery.class.php.

The documentation for this class was generated from the following file:

- core/OSQL/UpdateQuery.class.php